import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';
// data source for our topographical data
const jsonUrl = 'https://gist.githubusercontent.com/TheCatfishUK/f3b039afc69480a5e418605827e10c69/raw/28d3c21dd5a4be6128a2fa74ab9a9ac7dd60d2cb/england_divisions.json';

export const useData = () => {
  const [data, setData] = useState(null);
  //objects as topology variables regions and interiors as defined in our json file
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};